> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x-mart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Órdenes - Información de pago

> Oauth authentication with client credentials



## OpenAPI

````yaml GET /api/order/infoPayments
openapi: 3.0.1
info:
  title: Api V3 documentación
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.artisn.desarrollo-redbrand.com/api
  - url: https://api.kfc-group.desarrollo-redbrand.com
  - url: https://{apiId}.execute-api.{region}.amazonaws.com/{stage}
    description: API Gateway (PRIVATE; invocación típica vía VPC endpoint).
    variables:
      apiId:
        default: '{api-id}'
        description: ID del API REST desplegado.
      region:
        default: us-east-1
      stage:
        default: dev
        description: Mismo valor que parámetro EnvironmentName del stack.
security:
  - bearerAuth: []
paths:
  /api/order/infoPayments:
    get:
      summary: Orders - payment information
      description: Oauth authentication with client credentials
      parameters:
        - name: start_date
          in: query
          required: true
          schema:
            type: string
          description: Start date to filter payments
          example: '2022-02-01'
        - name: end_date
          in: query
          required: true
          schema:
            type: string
          description: End date to filter payments
          example: '2022-02-16'
        - name: country
          in: query
          schema:
            type: string
          required: false
          allowEmptyValue: true
          description: Country (optional)
          example: ecuador
        - name: account
          in: query
          schema:
            type: string
          required: false
          allowEmptyValue: true
          description: Account (optional)
          example: ''
        - name: vendor_id
          in: query
          schema:
            type: string
          required: false
          allowEmptyValue: true
          description: Seller ID (optional)
          example: '10'
      responses:
        '200':
          description: Payment information successfully obtained
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: success message
                    example: Payment information successfully obtained
                  status:
                    type: string
                    description: Operation status
                    example: success
        '400':
          description: Invalid data
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error description
                    example: Invalid data
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````